com.collabnet.ce.soap60.webservices.taskmgr

## Class TaskAppSoapMockStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.ClientSoapMockStub
    - - com.collabnet.ce.soap60.webservices.taskmgr.TaskAppSoapMockStub

- All Implemented Interfaces:
    ITaskAppSoap

      public class TaskAppSoapMockStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapMockStub
      implements ITaskAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskAppSoapMockStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskSoapDO` | `createTask(String sessionId, String taskGroupId, String title, String description, int priority, String userAssignedTo, String status, Date startDate, Date endDate, int estimatedHours, int requiredHours, boolean includeWeekends)` Simulate a call to createTask
    `void` | `createTaskDependency(String sessionId, String originTaskId, String targetTaskId)` Simulate a call to createTaskDependency
    `TaskGroupSoapDO` | `createTaskGroup(String sessionId, String parentId, String title, String description)` Simulate a call to createTaskGroup
    `void` | `deleteTask(String sessionId, String taskId)` Simulate a call to deleteTask
    `void` | `deleteTaskDependency(String sessionId, String originTaskId, String targetTaskId)` Simulate a call to deleteTaskDependency
    `void` | `deleteTaskGroup(String sessionId, String taskGroupId)` Simulate a call to deleteTaskGroup
    `TaskSoapList` | `findTasks(String sessionId, String queryString, String projectId, boolean searchAttachments)` Simulate a call to findTasks
    `TaskSoapList` | `getPredecessorTaskList(String sessionId, String targetTaskId)` Simulate a call to getPredecessorTaskList
    `TaskSoapList` | `getSuccessorTaskList(String sessionId, String originTaskId)` Simulate a call to getSuccessorTaskList
    `TaskSoapDO` | `getTaskData(String sessionId, String taskId)` Simulate a call to getTaskData
    `TaskGroupSoapDO` | `getTaskGroupData(String sessionId, String taskGroupId)` Simulate a call to getTaskGroupData
    `TaskGroupSoapList` | `getTaskGroupList(String sessionId, String parentId)` Simulate a call to getTaskGroupList
    `TaskSoapList` | `getTaskList(String sessionId, String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters)` Simulate a call to getTaskList
    `boolean` | `hasTasksWithPendingChanges(String sessionId, String taskGroupId)` Simulate a call to hasTasksWithPendingChanges
    `TaskSoapDO` | `moveTask(String sessionId, String taskId, String targetTaskGroupId)` Simulate a call to moveTask
    `TaskGroupSoapDO` | `moveTaskGroup(String sessionId, String taskGroupId, String targetTaskGroupId)` Simulate a call to moveTaskGroup
    `void` | `prepareCreateTask(String sessionId, String taskGroupId, String title, String description, int priority, String userAssignedTo, String status, Date startDate, Date endDate, int estimatedHours, int requiredHours, boolean includeWeekends, Object returnValue)` Prepare a simulated response to createTask
    `void` | `prepareCreateTaskDependency(String sessionId, String originTaskId, String targetTaskId)` Prepare a simulated response to createTaskDependency
    `void` | `prepareCreateTaskDependency(String sessionId, String originTaskId, String targetTaskId, Exception exception)` Prepare a simulated response to createTaskDependency
    `void` | `prepareCreateTaskGroup(String sessionId, String parentId, String title, String description, Object returnValue)` Prepare a simulated response to createTaskGroup
    `void` | `prepareDeleteTask(String sessionId, String taskId)` Prepare a simulated response to deleteTask
    `void` | `prepareDeleteTask(String sessionId, String taskId, Exception exception)` Prepare a simulated response to deleteTask
    `void` | `prepareDeleteTaskDependency(String sessionId, String originTaskId, String targetTaskId)` Prepare a simulated response to deleteTaskDependency
    `void` | `prepareDeleteTaskDependency(String sessionId, String originTaskId, String targetTaskId, Exception exception)` Prepare a simulated response to deleteTaskDependency
    `void` | `prepareDeleteTaskGroup(String sessionId, String taskGroupId)` Prepare a simulated response to deleteTaskGroup
    `void` | `prepareDeleteTaskGroup(String sessionId, String taskGroupId, Exception exception)` Prepare a simulated response to deleteTaskGroup
    `void` | `prepareFindTasks(String sessionId, String queryString, String projectId, boolean searchAttachments, Object returnValue)` Prepare a simulated response to findTasks
    `void` | `prepareGetPredecessorTaskList(String sessionId, String targetTaskId, Object returnValue)` Prepare a simulated response to getPredecessorTaskList
    `void` | `prepareGetSuccessorTaskList(String sessionId, String originTaskId, Object returnValue)` Prepare a simulated response to getSuccessorTaskList
    `void` | `prepareGetTaskData(String sessionId, String taskId, Object returnValue)` Prepare a simulated response to getTaskData
    `void` | `prepareGetTaskGroupData(String sessionId, String taskGroupId, Object returnValue)` Prepare a simulated response to getTaskGroupData
    `void` | `prepareGetTaskGroupList(String sessionId, String parentId, Object returnValue)` Prepare a simulated response to getTaskGroupList
    `void` | `prepareGetTaskList(String sessionId, String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters, Object returnValue)` Prepare a simulated response to getTaskList
    `void` | `prepareHasTasksWithPendingChanges(String sessionId, String taskGroupId, Object returnValue)` Prepare a simulated response to hasTasksWithPendingChanges
    `void` | `prepareMoveTask(String sessionId, String taskId, String targetTaskGroupId, Object returnValue)` Prepare a simulated response to moveTask
    `void` | `prepareMoveTaskGroup(String sessionId, String taskGroupId, String targetTaskGroupId, Object returnValue)` Prepare a simulated response to moveTaskGroup
    `void` | `prepareRenameTaskGroup(String sessionId, String taskGroupId, String newTitle, Object returnValue)` Prepare a simulated response to renameTaskGroup
    `void` | `prepareReorderTaskGroups(String sessionId, String parentFolderId, String[] taskGroupIds)` Prepare a simulated response to reorderTaskGroups
    `void` | `prepareReorderTaskGroups(String sessionId, String parentFolderId, String[] taskGroupIds, Exception exception)` Prepare a simulated response to reorderTaskGroups
    `void` | `prepareSetTaskData(String sessionId, TaskSoapDO taskData, String comment)` Prepare a simulated response to setTaskData
    `void` | `prepareSetTaskData(String sessionId, TaskSoapDO taskData, String comment, Exception exception)` Prepare a simulated response to setTaskData
    `TaskGroupSoapDO` | `renameTaskGroup(String sessionId, String taskGroupId, String newTitle)` Simulate a call to renameTaskGroup
    `void` | `reorderTaskGroups(String sessionId, String parentFolderId, String[] taskGroupIds)` Simulate a call to reorderTaskGroups
    `void` | `setTaskData(String sessionId, TaskSoapDO taskData, String comment)` Simulate a call to setTaskData

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskAppSoapMockStub

          public TaskAppSoapMockStub(String soapServerUrl)

  - ### Method Detail

    - #### prepareGetTaskGroupList

          public void prepareGetTaskGroupList(String sessionId,
                                              String parentId,
                                              Object returnValue)

      Prepare a simulated response to getTaskGroupList
      See Also:
        `TaskAppSoap.getTaskGroupList(java.lang.String, java.lang.String)`

    - #### getTaskGroupList

          public TaskGroupSoapList getTaskGroupList(String sessionId,
                                                    String parentId)
                                             throws RemoteException

      Simulate a call to getTaskGroupList
      Specified by:
        `getTaskGroupList` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `parentId` - Parent task group id -or- project id for listing top-level task groups.
      Returns:
        List of task groups within the project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.getTaskGroupList(java.lang.String, java.lang.String)`

    - #### prepareReorderTaskGroups

          public void prepareReorderTaskGroups(String sessionId,
                                               String parentFolderId,
                                               String[] taskGroupIds)

      Prepare a simulated response to reorderTaskGroups
      See Also:
        `TaskAppSoap.reorderTaskGroups(java.lang.String, java.lang.String, java.lang.String[])`

    - #### prepareReorderTaskGroups

          public void prepareReorderTaskGroups(String sessionId,
                                               String parentFolderId,
                                               String[] taskGroupIds,
                                               Exception exception)

      Prepare a simulated response to reorderTaskGroups
      See Also:
        `TaskAppSoap.reorderTaskGroups(java.lang.String, java.lang.String, java.lang.String[])`

    - #### reorderTaskGroups

          public void reorderTaskGroups(String sessionId,
                                        String parentFolderId,
                                        String[] taskGroupIds)
                                 throws RemoteException

      Simulate a call to reorderTaskGroups
      Specified by:
        `reorderTaskGroups` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `parentFolderId` - the id of the parent folder
        `taskGroupIds` - an array of task group ids in their new order
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.reorderTaskGroups(java.lang.String, java.lang.String, java.lang.String[])`

    - #### prepareCreateTaskGroup

          public void prepareCreateTaskGroup(String sessionId,
                                             String parentId,
                                             String title,
                                             String description,
                                             Object returnValue)

      Prepare a simulated response to createTaskGroup
      See Also:
        `TaskAppSoap.createTaskGroup(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createTaskGroup

          public TaskGroupSoapDO createTaskGroup(String sessionId,
                                                 String parentId,
                                                 String title,
                                                 String description)
                                          throws RemoteException

      Simulate a call to createTaskGroup
      Specified by:
        `createTaskGroup` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `parentId` - Parent task group id -or- project id under which to create the new task group.
        `title` - Task group title.
        `description` - Task group description.
      Returns:
        Newly created task group object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when the a task group with the specified title already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when an argument value is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.createTaskGroup(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareDeleteTaskGroup

          public void prepareDeleteTaskGroup(String sessionId,
                                             String taskGroupId)

      Prepare a simulated response to deleteTaskGroup
      See Also:
        `TaskAppSoap.deleteTaskGroup(java.lang.String, java.lang.String)`

    - #### prepareDeleteTaskGroup

          public void prepareDeleteTaskGroup(String sessionId,
                                             String taskGroupId,
                                             Exception exception)

      Prepare a simulated response to deleteTaskGroup
      See Also:
        `TaskAppSoap.deleteTaskGroup(java.lang.String, java.lang.String)`

    - #### deleteTaskGroup

          public void deleteTaskGroup(String sessionId,
                                      String taskGroupId)
                               throws RemoteException

      Simulate a call to deleteTaskGroup
      Specified by:
        `deleteTaskGroup` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskGroupId` - Task group id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.deleteTaskGroup(java.lang.String, java.lang.String)`

    - #### prepareGetTaskList

          public void prepareGetTaskList(String sessionId,
                                         String containerId,
                                         com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                         Object returnValue)

      Prepare a simulated response to getTaskList
      See Also:
        `TaskAppSoap.getTaskList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### getTaskList

          public TaskSoapList getTaskList(String sessionId,
                                          String containerId,
                                          com.collabnet.ce.soap60.types.SoapFilter[] filters)
                                   throws RemoteException

      Simulate a call to getTaskList
      Specified by:
        `getTaskList` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `containerId` - Project or task group id.
        `filters` - Task list filters (null will return all tasks within the container).
      Returns:
        Filtered list of tasks within the project or task group.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when the specified filters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.getTaskList(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### prepareFindTasks

          public void prepareFindTasks(String sessionId,
                                       String queryString,
                                       String projectId,
                                       boolean searchAttachments,
                                       Object returnValue)

      Prepare a simulated response to findTasks
      See Also:
        `TaskAppSoap.findTasks(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### findTasks

          public TaskSoapList findTasks(String sessionId,
                                        String queryString,
                                        String projectId,
                                        boolean searchAttachments)
                                 throws RemoteException

      Simulate a call to findTasks
      Specified by:
        `findTasks` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `queryString` - Query string.
        `projectId` - The project in which to find tasks. (if null, search all projects)
        `searchAttachments` - Whether to search attachments.
      Returns:
        List of tasks matching search criteria.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the specified query string is invalid.
        `RemoteException`
      See Also:
        `TaskAppSoap.findTasks(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### prepareGetTaskGroupData

          public void prepareGetTaskGroupData(String sessionId,
                                              String taskGroupId,
                                              Object returnValue)

      Prepare a simulated response to getTaskGroupData
      See Also:
        `TaskAppSoap.getTaskGroupData(java.lang.String, java.lang.String)`

    - #### getTaskGroupData

          public TaskGroupSoapDO getTaskGroupData(String sessionId,
                                                  String taskGroupId)
                                           throws RemoteException

      Simulate a call to getTaskGroupData
      Specified by:
        `getTaskGroupData` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskGroupId` - Task group id
      Returns:
        the task group data associated with the task at the given path
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.getTaskGroupData(java.lang.String, java.lang.String)`

    - #### prepareRenameTaskGroup

          public void prepareRenameTaskGroup(String sessionId,
                                             String taskGroupId,
                                             String newTitle,
                                             Object returnValue)

      Prepare a simulated response to renameTaskGroup
      See Also:
        `TaskAppSoap.renameTaskGroup(java.lang.String, java.lang.String, java.lang.String)`

    - #### renameTaskGroup

          public TaskGroupSoapDO renameTaskGroup(String sessionId,
                                                 String taskGroupId,
                                                 String newTitle)
                                          throws RemoteException

      Simulate a call to renameTaskGroup
      Specified by:
        `renameTaskGroup` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskGroupId` - Task group id
        `newTitle` - the new title for the task group
      Returns:
        the task group data for the updated group.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when task group data is stale.
        `RemoteException`
      See Also:
        `TaskAppSoap.renameTaskGroup(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareMoveTaskGroup

          public void prepareMoveTaskGroup(String sessionId,
                                           String taskGroupId,
                                           String targetTaskGroupId,
                                           Object returnValue)

      Prepare a simulated response to moveTaskGroup
      See Also:
        `TaskAppSoap.moveTaskGroup(java.lang.String, java.lang.String, java.lang.String)`

    - #### moveTaskGroup

          public TaskGroupSoapDO moveTaskGroup(String sessionId,
                                               String taskGroupId,
                                               String targetTaskGroupId)
                                        throws RemoteException

      Simulate a call to moveTaskGroup
      Specified by:
        `moveTaskGroup` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskGroupId` - The id of the task group to move.
        `targetTaskGroupId` - the id of the target group.
      Returns:
        the task group data for the updated group.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - on an illegal destination path
        `RemoteException`
      See Also:
        `TaskAppSoap.moveTaskGroup(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetTaskData

          public void prepareGetTaskData(String sessionId,
                                         String taskId,
                                         Object returnValue)

      Prepare a simulated response to getTaskData
      See Also:
        `TaskAppSoap.getTaskData(java.lang.String, java.lang.String)`

    - #### getTaskData

          public TaskSoapDO getTaskData(String sessionId,
                                        String taskId)
                                 throws RemoteException

      Simulate a call to getTaskData
      Specified by:
        `getTaskData` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskId` - Task path.
      Returns:
        the task data associated with the task at the given path
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.getTaskData(java.lang.String, java.lang.String)`

    - #### prepareSetTaskData

          public void prepareSetTaskData(String sessionId,
                                         TaskSoapDO taskData,
                                         String comment)

      Prepare a simulated response to setTaskData
      See Also:
        `TaskAppSoap.setTaskData(java.lang.String, com.collabnet.ce.soap60.webservices.taskmgr.TaskSoapDO, java.lang.String)`

    - #### prepareSetTaskData

          public void prepareSetTaskData(String sessionId,
                                         TaskSoapDO taskData,
                                         String comment,
                                         Exception exception)

      Prepare a simulated response to setTaskData
      See Also:
        `TaskAppSoap.setTaskData(java.lang.String, com.collabnet.ce.soap60.webservices.taskmgr.TaskSoapDO, java.lang.String)`

    - #### setTaskData

          public void setTaskData(String sessionId,
                                  TaskSoapDO taskData,
                                  String comment)
                           throws RemoteException

      Simulate a call to setTaskData
      Specified by:
        `setTaskData` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskData` - Task data to set.
        `comment` - Comment on the changes, if any.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when task data is stale.
        `com.collabnet.ce.soap60.fault.PendingChangesConflictFault` - when this operation conflicts with pending changes.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when an argument value is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.setTaskData(java.lang.String, com.collabnet.ce.soap60.webservices.taskmgr.TaskSoapDO, java.lang.String)`

    - #### prepareCreateTask

          public void prepareCreateTask(String sessionId,
                                        String taskGroupId,
                                        String title,
                                        String description,
                                        int priority,
                                        String userAssignedTo,
                                        String status,
                                        Date startDate,
                                        Date endDate,
                                        int estimatedHours,
                                        int requiredHours,
                                        boolean includeWeekends,
                                        Object returnValue)

      Prepare a simulated response to createTask
      See Also:
        `TaskAppSoap.createTask(java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, java.lang.String, java.lang.String, java.util.Date, java.util.Date, int, int, boolean)`

    - #### createTask

          public TaskSoapDO createTask(String sessionId,
                                       String taskGroupId,
                                       String title,
                                       String description,
                                       int priority,
                                       String userAssignedTo,
                                       String status,
                                       Date startDate,
                                       Date endDate,
                                       int estimatedHours,
                                       int requiredHours,
                                       boolean includeWeekends)
                                throws RemoteException

      Simulate a call to createTask
      Specified by:
        `createTask` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User's session id.
        `taskGroupId` - Task group id.
        `title` - Task title.
        `description` - Task description.
        `priority` - Task priority (see TaskSoapDO for more details).
        `userAssignedTo` - User task is assigned to.
        `status` - Task status (see TaskSoapDO for more details).
        `startDate` - Task start date.
        `endDate` - Task end date.
        `estimatedHours` - Estimated time in hours.
        `requiredHours` - Required time in hours.
        `includeWeekends` - Whether weekends should be included in date ranges
      Returns:
        Task object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when or more of the specified parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.createTask(java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, java.lang.String, java.lang.String, java.util.Date, java.util.Date, int, int, boolean)`

    - #### prepareDeleteTask

          public void prepareDeleteTask(String sessionId,
                                        String taskId)

      Prepare a simulated response to deleteTask
      See Also:
        `TaskAppSoap.deleteTask(java.lang.String, java.lang.String)`

    - #### prepareDeleteTask

          public void prepareDeleteTask(String sessionId,
                                        String taskId,
                                        Exception exception)

      Prepare a simulated response to deleteTask
      See Also:
        `TaskAppSoap.deleteTask(java.lang.String, java.lang.String)`

    - #### deleteTask

          public void deleteTask(String sessionId,
                                 String taskId)
                          throws RemoteException

      Simulate a call to deleteTask
      Specified by:
        `deleteTask` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskId` - Task id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.deleteTask(java.lang.String, java.lang.String)`

    - #### prepareMoveTask

          public void prepareMoveTask(String sessionId,
                                      String taskId,
                                      String targetTaskGroupId,
                                      Object returnValue)

      Prepare a simulated response to moveTask
      See Also:
        `TaskAppSoap.moveTask(java.lang.String, java.lang.String, java.lang.String)`

    - #### moveTask

          public TaskSoapDO moveTask(String sessionId,
                                     String taskId,
                                     String targetTaskGroupId)
                              throws RemoteException

      Simulate a call to moveTask
      Specified by:
        `moveTask` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskId` - The id of the task to move.
        `targetTaskGroupId` - the id of the target group.
      Returns:
        the task group data for the updated group.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when a task with the same name already exists in the target group.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the destination path is not valid
        `RemoteException`
      See Also:
        `TaskAppSoap.moveTask(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateTaskDependency

          public void prepareCreateTaskDependency(String sessionId,
                                                  String originTaskId,
                                                  String targetTaskId)

      Prepare a simulated response to createTaskDependency
      See Also:
        `TaskAppSoap.createTaskDependency(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateTaskDependency

          public void prepareCreateTaskDependency(String sessionId,
                                                  String originTaskId,
                                                  String targetTaskId,
                                                  Exception exception)

      Prepare a simulated response to createTaskDependency
      See Also:
        `TaskAppSoap.createTaskDependency(java.lang.String, java.lang.String, java.lang.String)`

    - #### createTaskDependency

          public void createTaskDependency(String sessionId,
                                           String originTaskId,
                                           String targetTaskId)
                                    throws RemoteException

      Simulate a call to createTaskDependency
      Specified by:
        `createTaskDependency` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `originTaskId` - Origin task ID
        `targetTaskId` - Target task ID
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id(s) is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.createTaskDependency(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareDeleteTaskDependency

          public void prepareDeleteTaskDependency(String sessionId,
                                                  String originTaskId,
                                                  String targetTaskId)

      Prepare a simulated response to deleteTaskDependency
      See Also:
        `TaskAppSoap.deleteTaskDependency(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareDeleteTaskDependency

          public void prepareDeleteTaskDependency(String sessionId,
                                                  String originTaskId,
                                                  String targetTaskId,
                                                  Exception exception)

      Prepare a simulated response to deleteTaskDependency
      See Also:
        `TaskAppSoap.deleteTaskDependency(java.lang.String, java.lang.String, java.lang.String)`

    - #### deleteTaskDependency

          public void deleteTaskDependency(String sessionId,
                                           String originTaskId,
                                           String targetTaskId)
                                    throws RemoteException

      Simulate a call to deleteTaskDependency
      Specified by:
        `deleteTaskDependency` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `originTaskId` - Origin task ID
        `targetTaskId` - Target task ID
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id(s) is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchRelationshipFault` - when there's no dependency between tasks.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.deleteTaskDependency(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetPredecessorTaskList

          public void prepareGetPredecessorTaskList(String sessionId,
                                                    String targetTaskId,
                                                    Object returnValue)

      Prepare a simulated response to getPredecessorTaskList
      See Also:
        `TaskAppSoap.getPredecessorTaskList(java.lang.String, java.lang.String)`

    - #### getPredecessorTaskList

          public TaskSoapList getPredecessorTaskList(String sessionId,
                                                     String targetTaskId)
                                              throws RemoteException

      Simulate a call to getPredecessorTaskList
      Specified by:
        `getPredecessorTaskList` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `targetTaskId` - Target task ID
      Returns:
        List of predecessor tasks
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id(s) is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchRelationshipFault` - when there's no dependency between tasks.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.getPredecessorTaskList(java.lang.String, java.lang.String)`

    - #### prepareHasTasksWithPendingChanges

          public void prepareHasTasksWithPendingChanges(String sessionId,
                                                        String taskGroupId,
                                                        Object returnValue)

      Prepare a simulated response to hasTasksWithPendingChanges
      See Also:
        `TaskAppSoap.hasTasksWithPendingChanges(java.lang.String, java.lang.String)`

    - #### hasTasksWithPendingChanges

          public boolean hasTasksWithPendingChanges(String sessionId,
                                                    String taskGroupId)
                                             throws RemoteException

      Simulate a call to hasTasksWithPendingChanges
      Specified by:
        `hasTasksWithPendingChanges` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskGroupId` - Task group id.
      Returns:
        true if a folder has any items with pending changes under it, false otherwise
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id(s) is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.hasTasksWithPendingChanges(java.lang.String, java.lang.String)`

    - #### prepareGetSuccessorTaskList

          public void prepareGetSuccessorTaskList(String sessionId,
                                                  String originTaskId,
                                                  Object returnValue)

      Prepare a simulated response to getSuccessorTaskList
      See Also:
        `TaskAppSoap.getSuccessorTaskList(java.lang.String, java.lang.String)`

    - #### getSuccessorTaskList

          public TaskSoapList getSuccessorTaskList(String sessionId,
                                                   String originTaskId)
                                            throws RemoteException

      Simulate a call to getSuccessorTaskList
      Specified by:
        `getSuccessorTaskList` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `originTaskId` - Origin task ID
      Returns:
        List of successor tasks
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id(s) is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchRelationshipFault` - when there's no dependency between tasks.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskAppSoap.getSuccessorTaskList(java.lang.String, java.lang.String)`

Copyright © 2020 CollabNet. All rights reserved.